<?php

/*
 * EverList - A free email listserv written in PHP.
 * Copyright (C) 2008 by Kris Craig.
 * 07.20.2008
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

require( "config.php" );
require( "common.php" );

foreach ( $_GET as $getvar => $getval )
{
	$$getvar = $getval;
}

foreach ( $_POST as $postvar => $postval )
{
	$$postvar = $postval;
}

GenerateHeader( "EverList - Register", TRUE, TRUE );
GenerateTop();

$query = "select userid from users LIMIT 1";
$resulttl0 = mysql_query( $query ) or die ( "Query '$query' failed for resulttl0 in register.php : " . mysql_error() );

$firstuser = TRUE;
while ( $line = mysql_fetch_array( $resulttl0, MYSQL_ASSOC ) )
{
	$firstuser = FALSE;
	break;
}

print "<h2 style=\"color: blue\">Register</h2>";

if ( $firstuser == TRUE )
{
	print "<h3 style=\"color: red\">";
	print "NOTE - This is the first user created for this listserv.  It will automatically ";
	print "be granted with permanent SUPERUSER/ADMIN status.";
	print "</h3>";
	
	$newstatus = "SUPERUSER";
}
else
{
	$newstatus = "PENDING";
}

$usernamecolor = "black";
$passwordcolor = "black";
$passwordretypecolor = "black";
$emailcolor = "black";
$fullnamecolor = "black";
$dobcolor = "black";
$biocolor = "black";
$avatarcolor = "black";
$websitecolor = "black";
$titlecolor = "black";
$homephonecolor = "black";
$workphonecolor = "black";
$cellphonecolor = "black";
$streetcolor = "black";
$citycolor = "black";
$statecolor = "black";
$zipcolor = "black";
$countrycolor = "black";

/* Form validation.  --Kris */
$errtxt = NULL;
if ( $formstage == 1 )
{
	$username = trim( $username );
	$email = trim( $email );
	$fullname = trim( $fullname );
	$avatar = trim( $avatar );
	$website = trim( $website );
	$title = trim( $title );
	$street = trim( $street );
	$city = trim( $city );
	$state = trim( $state );
	$zip = trim( $zip );
	$country = trim( $country );
	
	if ( $username == NULL || $password == NULL || $email == NULL || $fullname == NULL )
	{
		$errtxt .= "You must fill-out ALL required fields!<br />";
		if ( $username == NULL )
		{
			$usernamecolor = "red";
		}
		if ( $password == NULL )
		{
			$passwordcolor = "red";
			$passwordretypecolor = "red";
		}
		if ( $email == NULL )
		{
			$emailcolor = "red";
		}
		if ( $fullname == NULL )
		{
			$fullnamecolor = "red";
		}
	}
	
	if ( strlen( $username ) < 3 || strlen( $username ) > 20 )
	{
		$errtxt .= "Username must be between 3 and 20 characters!<br />";
		$usernamecolor = "red";
	}
	
	if ( strlen( $password ) < 6 )
	{
		$errtxt .= "Password must be at least 6 characters in length!<br />";
		$passwordcolor = "red";
		$passwordretypecolor = "red";
	}
	if ( strcmp( $password, $passwordretype ) )
	{
		$errtxt .= "Passwords must match!<br />";
		$passwordcolor = "red";
		$passwordretypecolor = "red";
	}
	
	if ( !ValidEmail( $email ) )
	{
		$errtxt .= "You must specify a VALID email address!<br />";
		$emailcolor = "red";
	}
	
	/* Prevents potential bug in login query.  --Kris */
	if ( strcasecmp( trim( $username ), "username" ) == 0 )
	{
		$errtxt .= "That username is unavailable.  Please choose another.<br />";
		$usernamecolor = "red";
	}
	
	/* Block common deceptive usernames.  --Kris */
	if ( $firstuser == FALSE 
		&& ( strcasecmp( $username, "admin" ) == 0 
			|| strcasecmp( $username, "adminsitrator" ) == 0 
			|| strcasecmp( $username, "everlist" ) == 0 
			|| strcasecmp( $username, "listserv" ) == 0 
			|| strcasecmp( $username, "listserv-admin" ) == 0 
			|| strcasecmp( $username, "moderator" ) == 0 
			|| strcasecmp( $username, "webmaster" ) == 0 
			|| strcasecmp( $username, "owner" ) == 0 
			|| strcasecmp( $username, "administration" ) == 0 
			|| strcasecmp( $username, "sysadmin" ) == 0 
			|| strcasecmp( $username, "root" ) == 0 
			|| strcasecmp( $username, "superuser" ) == 0 
			|| strcasecmp( $username, "forumadmin" ) == 0 
			|| strcasecmp( $username, "listmanager" ) == 0 
			|| strcasecmp( $username, "system" ) == 0 ) )
	{
		$errtxt .= "That username is unavailable.  Please choose another.<br />";
		$usernamecolor = "red";
	}
	
	/* Block common deceptive display names.  --Kris */
	if ( $firstuser == FALSE 
		&& ( strcasecmp( $fullname, "admin" ) == 0 
			|| strcasecmp( $fullname, "adminsitrator" ) == 0 
			|| strcasecmp( $fullname, "everlist" ) == 0 
			|| strcasecmp( $fullname, "listserv" ) == 0 
			|| strcasecmp( $fullname, "listserv-admin" ) == 0 
			|| strcasecmp( $fullname, "moderator" ) == 0 
			|| strcasecmp( $fullname, "webmaster" ) == 0 
			|| strcasecmp( $fullname, "owner" ) == 0 
			|| strcasecmp( $fullname, "administration" ) == 0 
			|| strcasecmp( $fullname, "sysadmin" ) == 0 
			|| strcasecmp( $fullname, "root" ) == 0 
			|| strcasecmp( $fullname, "superuser" ) == 0 
			|| strcasecmp( $fullname, "forumadmin" ) == 0 
			|| strcasecmp( $fullname, "listmanager" ) == 0 
			|| strcasecmp( $fullname, "system" ) == 0 ) )
	{
		$errtxt .= "You entered a deceptive full name.  Abuse will not be tolerated.<br />";
		$fullnamecolor = "red";
	}
	
	$usercheck = array();
	$usercheck = LoadUserByUsername( $username );
	
	if ( $usercheck["success"] == TRUE )
	{
		$errtxt .= "That username already exists!  Please choose another.<br />";
		$usernamecolor = "red";
	}
	
	$emailcheck = array();
	$emailcheck = LoadUserByEmail( $email );
	
	if ( $emailcheck["success"] == TRUE )
	{
		$errtxt .= "That email address has already been registered to another user!<br />";
		$emailcolor = "red";
	}
	
	/* If on my test server, correct for known DHCP spam blockers.  --Kris */
	if ( strcasecmp( $maildomain, "kriscraig.com" ) == 0 )
	{
		$emaildomain = NULL;
		$amperfound = FALSE;
		for ( $parseloop = 0; $parseloop < strlen( $email ); $parseloop++ )
		{
			if ( strcmp( $email{$parseloop}, "@" ) == 0 )
			{
				$amperfound = TRUE;
				continue;
			}
			else if ( $amperfound == FALSE )
			{
				continue;
			}
			
			$emaildomain .= $email{$parseloop};
		}
		
		if ( strcasecmp( $emaildomain, "evergreen.edu" ) == 0 )
		{
			$errtxt .= "<hr width=\"100%\" />Sorry, but your @evergreen.edu email address won't work because Evergreen automatically blocks all servers hosted on Comcast, including my test server.  This is NOT a problem with EverList itself!  But until we move it to a more permanent server, please use another email address.  Thank you for your patience.<hr width=\"100%\" /><br />";
			$emailcolor = "red";
		}
	}
	
	if ( $dobmonth != NULL || $dobday != NULL || $dobyear != NULL )
	{
		if ( $dobmonth == NULL || $dobday == NULL || $dobyear == NULL )
		{
			$errtxt .= "You have specified an invalid date of birth!<br />";
			$dobcolor = "red";
		}
		
		if ( checkdate( $dobmonth, $dobday, $dobyear ) == FALSE )
		{
			$errtxt .= "You have specified an invalid date of birth!<br />";
			$dobcolor = "red";
		}
		
		$dob = "$dobyear-$dobmonth-$dobday";
		
		$cur_time = time();
		$dobtime = strtotime( $dob );
		
		/*
		 * Note - Humor aside, the 2037 hard limit is an unavoidable temporary fix due to 
		 * an inherent bug built into PHP.  Anything past the year 2037 cannot generate a 
		 * timestamp in any PHP function (including strtotime()).  Some have described 
		 * this as "Unix's Y2K", but I've been able to reproduce this exact same error on 
		 * my Windows machine.  The strtotime() function will return FALSE if you input a 
		 * year greater than 2037, regardless of format, rendering the date validation 
		 * meaningless.  This "|| intval( $dobyear ) > 2037" contingency should be removed 
		 * ONLY if/when this bug in PHP has been fixed (hopefully before the year 2038)!
		 *
		 * In the meantime, you can monitor the bug I sent to the PHP dev team here:
		 * 
		 * http://bugs.php.net/bug.php?id=45713
		 *
		 * --Kris
		 * 08.04.2008
		 * 
		 */
		if ( $cur_time - $dobtime < 0 
			|| intval( $dobyear ) > 2037 )
		{
			$errtxt .= "The Vulcan Science Directorate has determined that time travel is impossible.<br />";
			$dobcolor = "red";
		}
		else if ( $cur_time - $dobtime < pow( 60, 2 ) * 24 * 365.25 * 13 )
		{
			$errtxt .= "You must be at least 13 years old to use this listserv!<br />";
			$dobcolor = "red";
		}
		
		if ( strlen( $bio ) > 512000 )
		{
			$errtxt .= "Bio cannot exceed 500 KB in size!<br />";
			$biocolor = "red";
		}
		
		if ( $avatar != NULL )
		{
			if ( strcasecmp( substr( $avatar, -4, 4 ), ".jpg" ) 
				&& strcasecmp( substr( $avatar, -4, 4 ), ".gif" ) 
				&& strcasecmp( substr( $avatar, -4, 4 ), ".png" ) 
				&& strcasecmp( substr( $avatar, -4, 4 ), ".bmp" ) 
				&& strcasecmp( substr( $avatar, -4, 4 ), ".tif" ) 
				&& strcasecmp( substr( $avatar, -4, 4 ), ".img" ) 
				&& strcasecmp( substr( $avatar, -5, 5 ), ".jpeg" ) )
			{
				$errtxt .= "Avatar must be in a valid static image format!<br />";
				$avatarcolor = "red";
			}
		}
		
		if ( $website != NULL && strcasecmp( substr( $website, 0, 7 ), "http://" ) 
			&& strcasecmp( substr( $website, 0, 8 ), "https://" ) )
		{
			$website = "http://" . $website;
		}
		
		if ( $homephoneac != NULL || $homephonepre != NULL || $homephonesuf != NULL )
		{
			if ( $homephoneac == NULL || $homephonepre == NULL || $homephonesuf == NULL 
				|| !is_numeric( $homephoneac ) || !is_numeric( $homephonepre ) 
				|| !is_numeric( $homephonesuf ) )
			{
				$errtxt .= "You have specified an invalid home phone number!<br />";
				$homephonecolor = "red";
			}
			
			$homephone = "($homephoneac) $homephonepre-$homephonesuf";
		}
		
		if ( $workphoneac != NULL || $workphonepre != NULL || $workphonesuf != NULL )
		{
			if ( $workphoneac == NULL || $workphonepre == NULL || $workphonesuf == NULL 
				|| !is_numeric( $workphoneac ) || !is_numeric( $workphonepre ) 
				|| !is_numeric( $workphonesuf ) )
			{
				$errtxt .= "You have specified an invalid work phone number!<br />";
				$workphonecolor = "red";
			}
			
			$workphone = "($workphoneac) $workphonepre-$workphonesuf";
		}
		
		if ( $cellphoneac != NULL || $cellphonepre != NULL || $cellphonesuf != NULL )
		{
			if ( $cellphoneac == NULL || $cellphonepre == NULL || $cellphonesuf == NULL 
				|| !is_numeric( $cellphoneac ) || !is_numeric( $cellphonepre ) 
				|| !is_numeric( $cellphonesuf ) )
			{
				$errtxt .= "You have specified an invalid cell phone number!<br />";
				$cellphonecolor = "red";
			}
			
			$cellphone = "($cellphoneac) $cellphonepre-$cellphonesuf";
		}
		
		//I'm not gonna worry about validating international addresses.
		//If you'd like to give it a shot, go for it.  --Kris
	}
}

if ( $errtxt != NULL )
{
	print "<b style=\"color: 880000; font-size: 14pt\">There were errors in your submission:</b><br />";
	print "<b style=\"color: red\">$errtxt</b><br /><br />";
	$formstage = NULL;
}

/* Form processing.  --Kris */
if ( $formstage == 1 )
{
	$cur_time = time();
	
	$username = addslashes( $username );
	
	$sid = GenerateSID();
	$sidmd5 = md5( $sid );
	
	$query = "insert into users values ( NULL, '$username', '" . md5( $password ) . "', ";
	$query .= "'$sidmd5', '0', NULL, NULL, '120', '$email', '$ipb', NULL, '$cur_time', ";
	$query .= "NULL, '$newstatus' )";
	$resulttl1 = mysql_query( $query ) or die( "Query '$query' failed for resulttl1 in register.php : " . mysql_error() );
	
	$query = "select userid from users where username='$username'";
	$resulttl2 = mysql_query( $query ) or die( "Query '$query' failed for resulttl2 in register.php : " . mysql_error() );
	
	while ( $line = mysql_fetch_array( $resulttl2, MYSQL_ASSOC ) )
	{
		$sqloop = 0;
		foreach ( $line as $col_value )
		{
			$fieldname = mysql_field_name( $resulttl2, $sqloop );
			$$fieldname = $col_value;
			$sqloop++;
		}
	}
	
	if ( $userid == NULL || !is_numeric( $userid ) )
	{
		die( "ERROR!  Unable to retrieve userid '$userid' for username '$username'!  Profile registration failed!" );
	}
	
	$fullname = addslashes( $fullname );
	$title = addslashes( $title );
	$website = addslashes( $website );
	$avatar = addslashes( $avatar );
	$street = addslashes( $street );
	$city = addslashes( $city );
	$state = addslashes( $state );
	$zip = addslashes( $zip );
	$country = addslashes( $country );
	$bio = addslashes( $bio );
	
	$query = "insert into profiles values ( NULL, '$userid', '$fullname', '$title', ";
	$query .= "'$website', '$avatar', '$homephone', '$cellphone', '$workphone', ";
	$query .= "'$workphoneext', '$street', '$city', '$state', '$zip', '$country', '$dob', ";
	$query .= "'$bio', NULL, NULL, NULL, NULL, NULL, NULL )";
	$resulttl3 = mysql_query( $query ) or die( "Query '$query' failed for resulttl3 in register.php : " . mysql_error() );
	
	/* Alrighty, now let's send out the confirmation email.  --Kris */
	$recipient = $email;
	
	if ( $firstuser == FALSE )
	{
	/*
	 * Replace this shit with your own site's personalized message.  Just be sure to include 
	 * the activation link!  Also be careful not to use language that might be more likely to 
	 * trigger spam filters.
	 *
	 * --Kris
	 */
	$subject = "Your EverList Registration";
	$body = "<b>Thank you for registering!</b><br /><br />";
	$body .= "To activate your account, ";
	$body .= "please click the activation link below:<br /><br />";
	$body .= "<a href=\"$siteurl/activate.php?sid=$sid\">$siteurl/activate.php?sid=$sid</a>";
	$body .= "<br /><br /><br />";
	$body .= "Welcome to EverList!<br /><br />";
	$body .= "--Kris Craig<br /><i>Creator of EverList</i>";
	}
	else
	{
		/*
		 * This is just the message you see when you register the first account.
		 * Regular users will never see this message, so there's really no need 
		 * to customize it for your site.
		 * 
		 * --Kris
		 */
		$subject = "EverList SUPERUSER Account Created Successfully!";
		
		$body = "<b>Thank you for choosing EverList!</b><br /><br />";
		$body .= "This email is to confirm that you have successfully registered your ";
		$body .= "admin superuser account.  It also serves to verify that your sendmail ";
		$body .= "configuration is functioning correctly.  Normally, when a user ";
		$body .= "registers a new account, they will receive an activation email instead.";
		$body .= "<br /><br />";
		$body .= "If you are comfortable editing PHP code and would like to modify how ";
		$body .= "that message appears, you can find it in register.php.";
		$body .= "<br /><br />";
		$body .= "Your superuser account does NOT have to be activated.  Instead, go to ";
		$body .= "the login page and type in your username and password just like any ";
		$body .= "other user would.  Then, click on the \"My Account\" tab.  From there, ";
		$body .= "you can access all the admin functions by clicking on \"Manage Forums\" ";
		$body .= "and \"Manage Users\".  I would suggest you click on that first link ";
		$body .= "and start creating some forums for your listserv!";
		$body .= "<br /><br /><br />";
		$body .= "I hope you enjoy your new listserv package!  If you would like to ";
		$body .= "offer feedback or contributions to the project, please visit our ";
		$body .= "project website at <a href=\"";
		$body .= "http://www.sourceforge.net/projects/everlist\">";
		$body .= "http://www.sourceforge.net/projects/everlist</a>.<br /><br />";
		$body .= "Have fun!  =)";
		$body .= "<br /><br />";
		$body .= "--Kris Craig<br /><i>Creator of EverList</i>";
	}
	
	$mailresult = mail( $recipient, $subject, $body, 
		// Email header
		"From: " . $mailfrom . "\r\n" 
		. "Reply-To: " . $replyto . "\r\n" 
		. "Content-type: text/html\r\n" 
		. "X-mailer: PHP/" . phpversion() );
	
	if ( $mailresult == FALSE )
	{
		die( "ERROR!  Unable to send confirmation email to $email!  Please contact an administrator to activate your account." );
	}
	
	if ( trim( $fullname ) != NULL )
	{
		$nametext = ", " . stripslashes( $fullname );
	}
	else
	{
		$nametext = ", " . stripslashes( $username );
	}
	
	?>
	<h3 style="color: navy">Congratulations<?php print $nametext; ?>!  You're registered!</h3>
	
	<b>
	A confirmation email has been sent to <?php print $email; ?>.
	<br />
	You must click the activation link in that email before you can access your account.
	</b>
	
	<br />
	<br />
	
	<b style="color: red">
	Be sure to check your "spam" or "junk mail" folder if you don't see it in your inbox!  
	Look for the subject line "Your EverList Registration".
	</b>
	
	<?php
	GenerateBottom();
	GenerateFooter();
	die();
}

?>
<form name="regform" id="regform" action="register.php" method="POST">

<input type="hidden" name="formstage" value="1" />

<table border="1" bordercolor="lime" cellspacing="0" cellpadding="0">
<tr>
<td align="center" bgcolor="#227722">
<b style="color: yellow">Required Information</b>
</td>
</tr>
<tr>
<td align="center" bgcolor="#90EE90">

<table border="0" cellspacing="2" cellpadding="2" width="100%">
<tr>
<td align="right">
<b style="color: <?php print $usernamecolor; ?>">Pick A Username:</b> &nbsp;
</td>
<td>
<input type="text" name="username" id="username" value="<?php print $username; ?>" size="30" maxlength="20" />
</td>
</tr>
<tr>
<td align="right">
<b style="color: <?php print $passwordcolor; ?>">Password:</b> &nbsp;
</td>
<td>
<input type="password" name="password" id="password" size="30" maxlength="255" />
</td>
</tr>
<tr>
<td align="right">
<b style="color: <?php print $passwordretypecolor; ?>">Re-Type Password:</b> &nbsp;
</td>
<td>
<input type="password" name="passwordretype" id="passwordretype" size="30" maxlength="255" />
</td>
</tr>
<tr>
<td align="right">
<b style="color: <?php print $emailcolor; ?>">Email Address:</b> &nbsp;
</td>
<td>
<input type="text" name="email" id="email" value="<?php print $email; ?>" size="30" maxlength="255" />
</td>
</tr>
<tr>
<td align="right">
<b style="color: <?php print $fullnamecolor; ?>">Your Name:</b> &nbsp;
</td>
<td>
<input type="text" name="fullname" id="fullname" value="<?php print $fullname; ?>" size="30" maxlength="20" />
</td>
</tr>
</table>

</td>
</tr>
</table>

<br />

<table border="1" bordercolor="green" cellspacing="0" cellpadding="0">
<tr>
<td align="center" bgcolor="#227722">
<b style="color: lime">Optional Profile Info</b>
</td>
</tr>
<tr>
<td align="center" bgcolor="#C0F3C0">

<table border="0" cellspacing="2" cellpadding="2" width="100%">
<tr>
<td align="right">
<b style="color: <?php print $dobcolor; ?>">Date of Birth:</b> &nbsp;
</td>
<td>
<select name="dobmonth" id="dobmonth">
<option value="">-- Month --</option>
<option value="01">January</option>
<option value="02">February</option>
<option value="03">March</option>
<option value="04">April</option>
<option value="05">May</option>
<option value="06">June</option>
<option value="07">July</option>
<option value="08">August</option>
<option value="09">September</option>
<option value="10">October</option>
<option value="11">November</option>
<option value="12">December</option>
</select> 
<select name="dobday" id="dobday">
<option value="">Day</option>
<?php
for ( $dloop = 1; $dloop <= 31; $dloop++ )
{
	if ( $dloop < 10 )
	{
		$daytext = "0" . "$dloop";
	}
	else
	{
		$daytext = "$dloop";
	}
	
	?>
	<option value="<?php print $daytext; ?>"><?php print $daytext; ?></option><?php
}
?>
</select> 
<input type="text" name="dobyear" id="dobyear" value="<?php print $dobyear; ?>" size="3" maxlength="4" />
</td>
</tr>
<tr>
<td align="right">
<b style="color: <?php print $biocolor; ?>">Bio:</b> &nbsp;
</td>
<td>
<textarea name="bio" id="bio" rows="2" cols="2"><?php print $bio; ?></textarea>
</td>
</tr>
<tr>
<td align="right">
<b style="color: <?php print $avatarcolor; ?>">Avatar URL:</b> &nbsp;
</td>
<td>
<input type="text" name="avatar" id="avatar" value="<?php print $avatar; ?>" size="68" maxlength="255" />
</td>
</tr>
<tr>
<td align="right">
<b style="color: <?php print $websitecolor; ?>">Website:</b> &nbsp;
</td>
<td>
<input type="text" name="website" id="website" value="<?php print $website; ?>" size="68" maxlength="255" />
</td>
</tr>
<tr>
<td align="right">
<b style="color: <?php print $titlecolor; ?>">Occupation:</b> &nbsp;
</td>
<td>
<input type="text" name="title" id="title" value="<?php print $title; ?>" size="68" maxlength="255" />
</td>
</tr>
<tr>
<td align="right">
<b style="color: <?php print $homephonecolor; ?>">Home Phone:</b> &nbsp;
</td>
<td>
( <input type="text" name="homephoneac" id="homephoneac" value="<?php print $homephoneac; ?>" size="2" maxlength="3" /> ) 
<input type="text" name="homephonepre" id="homephonepre" value="<?php print $homephonepre; ?>" size="2" maxlength="3" /> - 
<input type="text" name="homephonesuf" id="homephonesuf" value="<?php print $homephonesuf; ?>" size="3" maxlength="4" /> 
</td>
</tr>
<tr>
<td align="right">
<b style="color: <?php print $workphonecolor; ?>">Work Phone:</b> &nbsp;
</td>
<td>
( <input type="text" name="workphoneac" id="workphoneac" value="<?php print $workphoneac; ?>" size="2" maxlength="3" /> ) 
<input type="text" name="workphonepre" id="workphonepre" value="<?php print $workphonepre; ?>" size="2" maxlength="3" /> - 
<input type="text" name="workphonesuf" id="workphonesuf" value="<?php print $workphonesuf; ?>" size="3" maxlength="4" />  &nbsp;
	<b>Ext.</b> <input type="text" name="workphoneext" id="workphoneext" value="<?php print $profiledata["workphoneext"]; ?>" size="3" maxlength="10" />
</td>
</tr>
<tr>
<td align="right">
<b style="color: <?php print $cellphonecolor; ?>">Cell:</b> &nbsp;
</td>
<td>
( <input type="text" name="cellphoneac" id="cellphoneac" value="<?php print $cellphoneac; ?>" size="2" maxlength="3" /> ) 
<input type="text" name="cellphonepre" id="cellphonepre" value="<?php print $cellphonepre; ?>" size="2" maxlength="3" /> - 
<input type="text" name="cellphonesuf" id="cellphonesuf" value="<?php print $cellphonesuf; ?>" size="3" maxlength="4" /> 
</td>
</tr>
<tr>
<td align="right">
<b style="color: <?php print $streetcolor; ?>">Street:</b> &nbsp;
</td>
<td>
<input type="text" name="street" id="street" value="<?php print $street; ?>" size="68" maxlength="255" />
</td>
</tr>
<tr>
<td align="right">
<b style="color: <?php print $citycolor; ?>">City:</b> &nbsp;
</td>
<td>
<input type="text" name="city" id="city" value="<?php print $city; ?>" size="68" maxlength="255" />
</td>
</tr>
<tr>
<td align="right">
<b style="color: <?php print $statecolor; ?>">State/Province:</b> &nbsp;
</td>
<td>
<input type="text" name="state" id="state" value="<?php print $state; ?>" size="68" maxlength="255" />
</td>
</tr>
<tr>
<td align="right">
<b style="color: <?php print $zipcolor; ?>">Zip Code:</b> &nbsp;
</td>
<td>
<input type="text" name="zip" id="zip" value="<?php print $zip; ?>" size="10" maxlength="255" />
</td>
</tr>
<tr>
<td align="right">
<b style="color: <?php print $countrycolor; ?>">Country:</b> &nbsp;
</td>
<td>
<input type="text" name="country" id="country" value="<?php print $country; ?>" size="68" maxlength="255" />
</td>
</tr>
</table>

</td>
</tr>
</table>

<br />

<input type="submit" name="submitform" value="Register!" />

</form>

<script language="JavaScript">
document.regform.dobmonth.value='<?php print $dobmonth; ?>';
document.regform.dobday.value='<?php print $dobday; ?>';
</script>

<?php
GenerateBottom();
GenerateFooter();
